if(state == "held")
{
	x = obj_player.x;
	y = obj_player.y;
	speed = 0;
	gravity = 0;
	direction = point_direction(x, y, mouse_x, mouse_y);
	image_angle = direction;
	if (target != noone and instance_exists(target)) {
			target.state = "free";
	}
	
}

if(state == "thrown") {
	
	// check for collision with box or wall
	var _inst = instance_place(x, y, obj_box);
	if _inst != noone {
		speed = 0;
		state = "hooked";
		_inst.state = "hooked";
		target = _inst;
	} else if (place_meeting(x,y,obj_wall)) {
		
		if(vspeed < 0)
		{
			// if we hit the wall from below, reverse direction
			direction = (direction + 180) % 360;
		} else {
			// otherwise, return to held state
			//x = xstart;
			//y = ystart;
			
			state = "held";
		}
	} else {
		// we haven't hit anything
		gravity = 0.1;
	}
}

if(state == "hooked")
{
	speed = 0;
	gravity = 0;
	if (target != noone and instance_exists(target)) {
		x = target.x;
		y = target.y;
	}
}

